Skip to content

Bulk Revoke service credential.

POST
/api/web/namespaces/system/bulk_revoke/service_credentials
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/bulk_revoke/service_credentials \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "expired_selector": { "all": {}, "credential_type": "API_CERTIFICATE" }, "name_selector": { "names": [ "example" ] } }'

It is used to revoke multiple service credentials. This API would disable the credentials and mark them for deletion. The actual removal of objects would be done in the background. Only admins are allowed to access this API.

Examples of this operation.

Media typeapplication/json
Bulk Revoke Request

Request format for revoking multiple API credentials.

object
expired_selector
object
all
object
credential_type
string
default: API_CERTIFICATE
Allowed values: API_CERTIFICATE KUBE_CONFIG API_TOKEN SERVICE_API_TOKEN SERVICE_API_CERTIFICATE SERVICE_KUBE_CONFIG SITE_GLOBAL_KUBE_CONFIG SCIM_API_TOKEN SERVICE_SITE_GLOBAL_KUBE_CONFIG
name_selector
object
names
name of api credential

It contains the names of credentials which needs to be deleted.

Required: YES.

Array<string>
>= 1 items <= 200 items

A successful response.

Media typeapplication/json
Bulk Revoke Response

Response format for revoking multiple API credentials.

object
credentials_failed
Credentials Failed

Names of credentials that are not marked as DELETE due to some error.

Array<string>
credentials_marked_for_deletion
Credentials Success

Names of credentials that are successfully marked for deletion.

Array<string>
error_message
error message

Error message about the failures of bulk revoke of credentials.

string
<= 1024 characters
Examplegenerated
{
"credentials_failed": [
"example"
],
"credentials_marked_for_deletion": [
"example"
],
"error_message": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example